/*************************************************************************************************************************
8. Create Report Files
**************************************************************************************************************************/

%let basename = [FILL IN FILE PATH]/Public_Training_Materials/Lab;	

libname out "&basename./public_mpl1r_wp001_synpufs_v01/inputfiles";		

%macro groups (title,group,grouplabel,header);
data groups_table&title.;
	format header $60. group1 $30. runid1 $10. group2 $30. runid2 $10. grouplabel $50. 
		   combinedgroupname $50. order 8. Historyofuse $50. Recordedhistory $50.  
		   Utilizationintensity $50. highlight_vars $60. alphabetical_covarsort $1.	Baselinelabel $50.; 
	header = "&header.";
	group1 = "&group.";
	runid1= 'r01';
	group2 = "";
	runid2 = ""; 
	grouplabel= "&grouplabel.";
	combinedgroupname= "";
	order = &title.;
	Historyofuse = "";
	Recordedhistory = "";
	Utilizationintensity = "";
	highlight_vars = "";
	alphabetical_covarsort = 'N';
	Baselinelabel = "";
	run;
%mend;

%groups (1,typ_is, Typical Antipsychotics, Ischemic Stroke);
%groups (2,typ_ich, Typical Antipsychotics, Intracranial Hemorrhage);
%groups (3,atyp_is, Atypical Antipsychotics, Ischemic Stroke);
%groups (4,atyp_ich, Atypical Antipsychotics, Intracranial Hemorrhage);

%macro exportgroups(start,end);
	data out.groups_table;
		set %do i=&start. %to &end.;
				groups_table&i.
			%end;
		;
	run;
%mend;

%exportgroups(1,4);


data out.createreport;
format type 1. requestid $23. groups_table $30. columns_table $30. alltypefiles $50.
monitoringfile $30. cohortfile $30. userstrata $30. covariatecodes $30.
customtitle $50. exclude $50. stratify_by_level $50.
zipfile $15. agegroupfmt $100. logo $30. output_baselinetable $1. look_start 1. look_end 1.
output_cdf_km $1. cdf_title1 $50. km_title1 $50. km_title2 $50. cdf_footnote1 $50. cdf_footnote2 $50.
km_footnote1 $50. km_footnote2 $50. cdf_xmin 8. cdf_xmax 8. cdf_xtick 8. km_xmin 8. km_xmax 8. km_xtick 8.
cdf_ymin 8. cdf_ymax 8. cdf_ytick 8. km_ymin 8. km_ymax 8. km_ytick 8. km_ep_xmin 8. km_ep_xmax 8. km_ep_xtick 8.
km_ep_ymin 8. km_ep_ymax 8. km_ep_ytick 8. censoring_display $40. cens_elig $20. cens_dth $20. cens_dpend $20. cens_qryend $20.
cens_episend $20. cens_spec $20. cens_event $20. displayn $1. line_spacing 8.;

type=2;
requestid= 'public_mpl1r_wp001';
groups_table= 'groups_table';
columns_table= '';
alltypefiles='wp001_type2';
monitoringfile= 'wp001_monitoring';
cohortfile= 'wp001_cohort';
userstrata= 'wp001_type2strata';
covariatecodes = 'wp001_covariates';
customtitle= 'Typical and Atypical Antipsychotics and Stroke';
exclude= '8';
stratify_by_level= '000 001 002 003';
zipfile= '';
agegroupfmt= ''; 
logo= 'sentinel_logo.jpg';
output_baselinetable= 'Y';
look_start= 1;
look_end= 1;
output_cdf_km= 'N';
cdf_title1= '';
km_title1='';
km_title2='';
cdf_footnote1='';
cdf_footnote2='';
km_footnote1='';
km_footnote2='';
cdf_xmin=.;
cdf_xmax=.;
cdf_xtick=.;
km_xmin=.;
km_xmax=.;
km_xtick=.;
cdf_ymin=.;
cdf_ymax=.;
cdf_ytick=.;
km_ymin=.;
km_ymax=.;
km_ytick=.;
km_ep_xmin=.;
km_ep_xmax=.;
km_ep_xtick=.;
km_ep_ymin=.;
km_ep_ymax=.;
km_ep_ytick=.;
censoring_display='';
cens_elig='';
cens_dth='';
cens_dpend='';
cens_qryend='';
cens_episend='';
cens_spec='';
cens_event='';
displayn='N';
line_spacing= 1.75;
run;
