/*************************************************************************************************************************
9. Create Propensity Score Model Comparison File
**************************************************************************************************************************/

%let basename = [FILL IN FILE PATH]/Public_Training_Materials/Lab;	

libname out "&basename./public_mpl1r_wp001_synpufs_v01/inputfiles";		
%let wpnum = wp001 ; 

%macro psm (title,comp,control);
	data psm&title.;
	format comp_order 8. comp $40. control $40. caliper best12. ratio $1. class $999. noclass $999. 
           hdps $1. hdpswinfrom 8.  hdpswinto 8.;
	comp_order = &title.;
	comp = "&comp"; /* Exposure of Interest; Valid values: typ_is typ_ich atyp_is atyp_ich; Required */
	control = "&control"; /* Comparator of Interest; Valid values: typ_is typ_ich atyp_is atyp_ich; Required */
	caliper= . ; /* Matching Caliper; Numerical; Valid values: Any value between 0-1; Required */
	ratio= ' '; /* Matching Ratio; Valid values: 'F' or 'V' for fixed 1:1 matching or variable 1:n matching; Required */
	class="Sex Covar1 Covar2 Covar3 Covar4 Covar5 Covar6 Covar7 Covar8 Covar9 Covar10 Covar11 Covar12"; 
	noclass="Age";
	hdps='N';
	hdpswinfrom=.;
	hdpswinto=.;
	run;
%mend;

%psm (1, , ); /* Fill in group 1 name (exposure) and group 3 name (comparator) */
%psm (2, , ); /* Fill in group 2 name (exposure) and group 4 name (comparator) */

%macro exportpsm(start,end);
	data out.&wpnum._psm;
		set %do i=&start. %to &end.;
				psm&i.
			%end;
		;
	run;
%mend;

%exportpsm(1,2);
